xn::ModuleScriptNode Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleScriptNode:
[legend]

## Public Member Functions

virtual | ~ModuleScriptNode ()
virtual const XnChar * | GetSupportedFormat ()=0
virtual XnStatus | LoadScriptFromFile (const XnChar *strFileName)=0
virtual XnStatus | LoadScriptFromString (const XnChar *strScript)=0
virtual XnStatus | Run (NodeInfoList &createdNodes, EnumerationErrors &errors)=0
Public Member Functions inherited from xn::ModuleProductionNode
virtual | ~ModuleProductionNode ()
virtual XnBool | IsCapabilitySupported (const XnChar *)
virtual XnStatus | SetIntProperty (const XnChar *, XnUInt64)
virtual XnStatus | SetRealProperty (const XnChar *, XnDouble)
virtual XnStatus | SetStringProperty (const XnChar *, const XnChar *)
virtual XnStatus | SetGeneralProperty (const XnChar *, XnUInt32, const void *)
virtual XnStatus | GetIntProperty (const XnChar *, XnUInt64 &) const
virtual XnStatus | GetRealProperty (const XnChar *, XnDouble &) const
virtual XnStatus | GetStringProperty (const XnChar *, XnChar *, XnUInt32) const
virtual XnStatus | GetGeneralProperty (const XnChar *, XnUInt32, void *) const
virtual ModuleExtendedSerializationInterface * | GetExtendedSerializationInterface ()
virtual ModuleLockAwareInterface * | GetLockAwareInterface ()
virtual ModuleErrorStateInterface * | GetErrorStateInterface ()
virtual ModuleGeneralIntInterface * | GetGeneralIntInterface (const XnChar *)

## Constructor & Destructor Documentation

## ~ModuleScriptNode()

virtual xn::ModuleScriptNode::~ModuleScriptNode | ( |  | ) |

inline virtual

## Member Function Documentation

## GetSupportedFormat()

virtual const XnChar * xn::ModuleScriptNode::GetSupportedFormat | ( |  | ) |

pure virtual

## LoadScriptFromFile()

virtual XnStatus xn::ModuleScriptNode::LoadScriptFromFile | ( | const XnChar * | strFileName | ) |

pure virtual

## LoadScriptFromString()

virtual XnStatus xn::ModuleScriptNode::LoadScriptFromString | ( | const XnChar * | strScript | ) |

pure virtual

## Run()

virtual XnStatus xn::ModuleScriptNode::Run | ( | NodeInfoList & | createdNodes,
|  | EnumerationErrors & | errors )

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h